## ros-jazzy-rqt-py-common 1.6.0

=== debian/changelog ===
ros-jazzy-rqt-py-common (1.6.0-3bookworm) bookworm; urgency=high

  * Allow to autocomplete namespaced topics (#299 <https://github.com/ros-visualization/rqt/issues/299>)
  * Contributors: Alejandro Hernández Cordero

 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 27 Mar 2024 16:00:00 -0000

ros-jazzy-rqt-py-common (1.5.0-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 25 Dec 2023 16:00:00 -0000

ros-jazzy-rqt-py-common (1.4.1-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

ros-jazzy-rqt-py-common (1.4.0-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 27 Apr 2023 16:00:00 -0000

ros-jazzy-rqt-py-common (1.3.2-3bookworm) bookworm; urgency=high

  * Changes the use of __slots__ for the field and field type getter (#289 <https://github.com/ros-visualization/rqt/issues/289>)
  * Contributors: Eloy Briceno

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Apr 2023 16:00:00 -0000

ros-jazzy-rqt-py-common (1.3.1-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 23 Feb 2023 16:00:00 -0000

ros-jazzy-rqt-py-common (1.3.0-3bookworm) bookworm; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#283 <https://github.com/ros-visualization/rqt/issues/283>)
  * Contributors: Audrow Nash, Dharini Dutia, quarkytale

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 13 Feb 2023 16:00:00 -0000

ros-jazzy-rqt-py-common (1.2.0-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-jazzy-rqt-py-common (1.1.3-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 Apr 2022 16:00:00 -0000

ros-jazzy-rqt-py-common (1.1.2-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 30 Aug 2021 16:00:00 -0000

ros-jazzy-rqt-py-common (1.1.1-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 11 Apr 2021 16:00:00 -0000

ros-jazzy-rqt-py-common (1.1.0-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 06 Apr 2021 16:00:00 -0000

ros-jazzy-rqt-py-common (1.0.7-3bookworm) bookworm; urgency=high

  * Avoid installing test interfaces  (#228 <https://github.com/ros-visualization/rqt/issues/228>)
  * Contributors: Dirk Thomas

 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 04 Feb 2021 16:00:00 -0000

ros-jazzy-rqt-py-common (1.0.6-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 04 May 2020 16:00:00 -0000

ros-jazzy-rqt-py-common (1.0.5-3bookworm) bookworm; urgency=high

  * use Python debug executable for Windows debug builds (#196 <https://github.com/ros-visualization/rqt/issues/196>)

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 29 Sep 2019 16:00:00 -0000

ros-jazzy-rqt-py-common (1.0.2-3bookworm) bookworm; urgency=high

  * fixing srv and msg filters (#188 <https://github.com/ros-visualization/rqt/issues/188>)
  * Adding logic for actions (#186 <https://github.com/ros-visualization/rqt/issues/186>)
    * Adding logic for actions
    * Modifications for latest rosidl_interface action changes
  * Contributors: Mike Lautman, brawner

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 03 Feb 2019 16:00:00 -0000

ros-jazzy-rqt-py-common (1.0.1-3bookworm) bookworm; urgency=high

  * updating msg helpers to match the ament_index_python api (#180 <https://github.com/ros-visualization/rqt/issues/180>)
  * Contributors: Mike Lautman

 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 11 Dec 2018 16:00:00 -0000

ros-jazzy-rqt-py-common (1.0.0-3bookworm) bookworm; urgency=high

  * use three dashed to separate request/reply, remove arbitrary alignment (#176 <https://github.com/ros-visualization/rqt/issues/176>)
  * remove undeclared dependency on std_srvs (#175 <https://github.com/ros-visualization/rqt/issues/175>)
  * add common message helpers (#162 <https://github.com/ros-visualization/rqt/issues/162>)
  * address feedback on the rqt_py_common port (#155 <https://github.com/ros-visualization/rqt/issues/155>)
  * remove pytests in favor of ament_lint_auto, moving rqt_gui resource to package specific destination (#153 <https://github.com/ros-visualization/rqt/issues/153>)
  * port rqt_py_common to ROS 2 (#148 <https://github.com/ros-visualization/rqt/issues/148>)
  * fixing missing import bugs (#139 <https://github.com/ros-visualization/rqt/issues/139>)
  * autopep8 (#137 <https://github.com/ros-visualization/rqt/issues/137>)

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 10 Dec 2018 16:00:00 -0000

ros-jazzy-rqt-py-common (0.5.0-3bookworm) bookworm; urgency=high

  * migrated from rqt_common_plugins repo

 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 23 Apr 2017 16:00:00 -0000

ros-jazzy-rqt-py-common (0.4.7-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Wed, 01 Mar 2017 16:00:00 -0000

ros-jazzy-rqt-py-common (0.4.6-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 26 Feb 2017 16:00:00 -0000

ros-jazzy-rqt-py-common (0.4.5-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Thu, 02 Feb 2017 16:00:00 -0000

ros-jazzy-rqt-py-common (0.4.4-3bookworm) bookworm; urgency=high

  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * add helper functions to find a slot inside a message by type

 -- Dharini Dutia <dharini@openrobotics.org>  Mon, 23 Jan 2017 16:00:00 -0000

ros-jazzy-rqt-py-common (0.4.3-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Tue, 01 Nov 2016 16:00:00 -0000

ros-jazzy-rqt-py-common (0.4.2-3bookworm) bookworm; urgency=high



 -- Dharini Dutia <dharini@openrobotics.org>  Sun, 18 Sep 2016 16:00:00 -0000


